<?php

namespace Openguru\OpenCartFramework\Translator;

interface TranslatorInterface
{
    public function loadTranslationsFromFolder(string $directory): void;

    public function translate(string $key, array $params = []): string;

    public function getTranslations(): array;
}
